# Get Notification channel

Get Notification Channel

Endpoint: GET /v1/orgs/{org}/projects/{project}/notification-channels/{notification-channel}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `notification-channel` (string, required)
    identifier

  - `org` (string, required)
    Identifier field of the organization the resource is scoped to

  - `project` (string, required)
    Identifier field of the project the resource is scoped to

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Response 200 fields (application/json):

  - `identifier` (string)

  - `org` (string)

  - `project` (string)

  - `notification_channel_type` (string, required)
    Notification Channel Type
    Enum: "EMAIL", "SLACK", "PAGERDUTY", "MSTEAMS", "WEBHOOK", "DATADOG"

  - `status` (string)
    Notification Rule Status
    Enum: "ENABLED", "DISABLED"

  - `channel` (object, required)

  - `channel.email_ids` (array)

  - `channel.slack_webhook_urls` (array)

  - `channel.webhook_urls` (array)

  - `channel.pager_duty_integration_keys` (array)

  - `channel.ms_team_keys` (array)

  - `channel.user_groups` (array)

  - `channel.user_groups.identifier` (string)

  - `channel.user_groups.org` (string)

  - `channel.user_groups.project` (string)

  - `channel.headers` (array)

  - `channel.headers.key` (string)

  - `channel.headers.value` (string)

  - `channel.datadog_urls` (array)

  - `channel.api_key` (string)

  - `channel.delegate_selectors` (array)

  - `channel.execute_on_delegate` (boolean)

  - `last_modified` (integer)

  - `created` (integer)

  - `name` (string)

  - `account` (string)


